GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » PANDA » PandaRoot » Bugs, Fixes, Releases » [FIXED] problems in installing a pandaroot release (usual problems)
[FIXED] problems in installing a pandaroot release (usual problems) [message #19190] Tue, 12 April 2016 14:05 Go to previous message
Elisabetta Prencipe (2) is currently offline  Elisabetta Prencipe (2)
Messages: 214
Registered: February 2013
first-grade participant
From: *ikp.kfa-juelich.de
Dear all,

since one year I find very difficult to install new releases in pandaroot. The problem is always the same: when arrving at the point to compile, I get error, and I don't know why.

This time I tried to install everything from scratch, e.g. https://panda-wiki.gsi.de/foswiki/bin/view/Computing/PandaRootInstallGit

(standard installations)

1) Installing again external package fairsoft_mar15.... fine!

2) Installing FairRoot...troubles:

>>>>> cmake -DCMAKE_INSTALL_PREFIX=/home/prencipe/panda/fairsoft_mar15/buildFairRoot /home/prencipe/panda/fairsoft_mar15/FairRoot

-- fairsoft-config found
-- C compiler used for FairSoft installation: /usr/bin/gcc
-- C compiler used now: /usr/bin/gcc
-- CXX compiler used for FairSoft installation: /usr/bin/g++
-- CXX compiler used now: /usr/bin/c++
-- The compiler during the compilation of FairSoft is different from the current one.
CMake Error at cmake/modules/CheckCompiler.cmake:64 (Message):
This is seen as an error. If you know that the setting is correct you can
silence the error by using the CMake flag -DUSE_DIFFERENT_COMPILER=TRUE
Call Stack (most recent call first):
CMakeLists.txt:55 (Check_Compiler)


3) even not possible this time to start the installation of the release. In general, I ge ttrouble when doing cmake in the release/build. This time a step above. I am following step by step the tutorial. MY OS is Fedora19.

At the third attempt of the day, deleting everything and starting all over again, I give up.
If nobody has any idea how to solve and improve this, I cannot test genfit2 in releases >= mar15. From my point of view, it works good in oct14, as in my /development/ no problems occur.

It is a pain since one year to work with new pandaroot releases, really...

Looking forward to hear from you
Best regards, Elisabetta

[Updated on: Thu, 28 April 2016 16:32] by Moderator

Report message to a moderator

 
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Previous Topic: compilation error
Next Topic: [NOTSUPPORTED] Eternal package compilation error OSX 10.11.4
Goto Forum:
  


Current Time: Sat Nov 27 06:45:40 CET 2021

Total time taken to generate the page: 0.02575 seconds